## radiotap-library 0~20200622

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project(radiotap)

add_definitions("-D_BSD_SOURCE -DRADIOTAP_SUPPORT_OVERRIDES")

add_library(radiotap SHARED radiotap.c)
set_target_properties(radiotap PROPERTIES
		      COMPILE_FLAGS "-Wall -Wextra")

install(TARGETS radiotap DESTINATION lib)
install(FILES radiotap.h radiotap_iter.h DESTINATION include)

add_executable(parse parse.c)
set_target_properties(parse PROPERTIES
		      COMPILE_FLAGS "-Wall -Wextra")
target_link_libraries(parse radiotap)


add_custom_target(radiotap_check ALL
		  COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/check/check.sh ${CMAKE_CURRENT_BINARY_DIR}
		  DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/check/*
		  WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/check/
		  COMMENT "Check examples")
add_dependencies(radiotap_check parse)

=== debian/changelog ===
radiotap-library (0~20200622-0kali2) kali-dev; urgency=medium

  [ Sophie Brun ]
  * Configure git-buildpackage for Kali
  * Add GitLab's CI configuration file
  [ Kali Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository, Repository-Browse.
  [ Ben Wilson ]
  * Remove template commen and switch spaces to tabs
  [ Steev Klimaszewski ]
  * Add d/watch
  * Add trigger to deal with lacks-ldconfig-trigger lintian error
  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Tue, 20 Dec 2022 13:36:27 -0600

radiotap-library (0~20200622-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 19 Oct 2020 14:42:00 +0200

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	mv debian/radiotap-library/usr/lib/libradiotap.so debian/radiotap-library/usr/lib/$(DEB_HOST_MULTIARCH)/libradiotap.so

=== debian/watch ===
version=4
opts=mode=git,pgpmode=none,pretty=0~%cd.%h \
  https://github.com/radiotap/radiotap-library HEAD
# Use the following when upstream starts to tag releases:
#opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/radiotap-library-$1\.tar\.gz/ \
# https://github.com/radiotap/radiotap-library/tags .*/v?(\d\S+)\.tar\.gz

## radiotap-library 0~20200622+git20200622.1.94984dd

=== debian/changelog ===
radiotap-library (0~20200622+git20200622.1.94984dd-0kali1~jan+nus4) kali-bleeding-edge; urgency=low

  * New upstream snapshot.
  * Build for debian-janitor apt repository.

 -- Kali Janitor <janitor@kali.org>  Mon, 11 Apr 2022 05:59:30 -0000

=== debian/control ===
Source: radiotap-library
Priority: optional
Section: libs
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Build-Depends: debhelper-compat (= 13), cmake, dh-exec
Standards-Version: 4.5.0
Homepage: https://github.com/radiotap/radiotap-library
Vcs-Browser: https://gitlab.com/kalilinux/packages/radiotap-library
Vcs-Git: https://gitlab.com/kalilinux/packages/radiotap-library.git
Rules-Requires-Root: no

Package: radiotap-library
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Radiotp parser C library
 This package is a Radiotap parser C library. Radiotap is a de facto standard
 for 802.11 frame injection and reception.
